Subject: bug#11681: GNU Emacs 24.1.1 (i386-mingw-nt6.1.7601) Save bug

From: Olaf <[email-masked]>
Date: Tue, 19 Jun 2012 07:37:17 +0200

>>>>> So you are saying that if you start Emacs by clicking the runemacs
>>>>> icon, then you cannot save any files, whereas if you start Emacs by
>>>>> running emacs.exe directly, the problem goes away, is that right?
>>>>
>>>> It seems to be only if I start the emacs starts by modelsim.
>>>
>>> What is "modelsim"?  And how did you set up modelsim, whatever it is,
>>> to invoke Emacs?
>>
>> Modelsim is a simulation program (www.model.com)
>>
>> Mmmh, how did I setup - good question. I did not found any settings here
>> to set up ann external editor. I assume it's started by registry
>> settings. Do you know the key?
> 
> ??? You mean, modelsim detected automatically that Emacs is installed
> and automatically adapted itself to invoke Emacs as its editor?  I'd
> be surprised.

Probably not. I assume that it uses the registry settings. Modelsim
looks that it has its root at unix (TCL for scripting etc).

> The registry keys set by Emacs are these:
> 
>  "SOFTWARE\GNU\Emacs"
not exist, even on CURRENT USER and LOCAL_MACHINE

>  "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\emacs.exe"
>  "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\runemacs.exe"

also not found, I'm using win7 x64!

>>> And if you invoke Emacs manually with the +1 switch as ProcExp shows,
>>> can you then reproduce the problem?
>>
>> No, it works even with the command line argument +1 correct.
> 
> That probably means that the problem is in how modelsim invokes Emacs.
> I know nothing about modelsim; any chance you could ask its
> maintainers about this problem?

I will check it again